Subject: Re: bug#32935: `guix package --verbose` does not produce verbose output

From: [email-masked] (Ludovic Courtès)
Date: Mon, 08 Oct 2018 14:50:31 +0200

Hi Leo,

Leo Famulari <[email-masked]> skribis:

> On Debian, from Guix commit 9e783d0bf22a7ff965105eb45f6c179a832bbabf,
> the --verbose argument to `guix package` doesn't seem to have the
> desired effect.
>
> Rather than showing the raw output of whatever builds are being
> performed, it just shows the "spinner".

The ‘--verbose’ option predates the new “quiet” output for ‘guix
package’, so it doesn’t do what you expect, I believe.

I think we need to change the meaning of ‘--verbose’ or repurpose
‘--verbosity’ to choose whether or not build output should be displayed.
We should come up with the same option for all the commands.

Thoughts?

Ludo’.